import { OnDestroy, OnInit } from '@angular/core';
import { ToastController } from '@ionic/angular';
import { CurrentDeviceService, TapConfigItem, TapConfigItemAction } from '@iotize/ionic';
export declare class TapConfigListComponent implements OnInit, OnDestroy {
    protected tapService: CurrentDeviceService;
    protected toastController: ToastController;
    header: {
        key: string;
        value: string;
    } | undefined;
    globalRefresh: boolean;
    itemRefresh: boolean;
    lines: string;
    columns: string[];
    params?: any[];
    loading: boolean;
    private sub?;
    set items(items: TapConfigItem[] | undefined);
    _items: TapConfigItem[];
    constructor(tapService: CurrentDeviceService, toastController: ToastController);
    ngOnInit(): void;
    ngOnDestroy(): void;
    refresh(): void;
    onSubmitValue(event: any): void;
    clickAction(item: TapConfigItem, action: TapConfigItemAction): void;
    onError(err: any): Promise<void>;
    loadIfNeeded(): void;
    isLoaded(item: TapConfigItem): boolean;
}
